package demo.images ;

import com.ijchart.xychart.client.ChartFactory ;
import com.ijchart.xychart.client.IJChart ;
import com.ijchart.xychart.constant.ChartOrientation ;
import com.ijchart.xychart.data.YIntervalChartData ;
import com.ijchart.xychart.dataset.DefaultMatrixDataset ;
import com.ijchart.xychart.dataset.IMatrixDataset ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public class YIntervalChartHotspotTest {

  public IJChart createChart() {
    IMatrixDataset dataset = createDataset() ;
    IJChart chart = ChartFactory.createYIntervalChart("Y Interval Chart Demo", "X", "Y",
                                                      dataset, ChartOrientation.VERTICAL,
                                                      true, true, false, false) ;

    return chart ;
  }

  private static IMatrixDataset createDataset() {
    DefaultMatrixDataset dataset = new DefaultMatrixDataset() ;
    dataset.addRowKey("Series 1") ;
    dataset.addRowData() ;

    double d = 100D ;
    for (int i = 0 ; i < 100 ; i++) {
      d += Math.random() - 0.48999999999999999D ;
      dataset.addData(0, new YIntervalChartData(i, d, d - 3D, d + 3D)) ;
    }
    return dataset ;
  }

}
