package com.ijchart.xychart.data.group ;

import java.io.Serializable ;
import java.util.List ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ֵ͵ķ,ÿһNumber͵.</zh>
 * <en>The number group chart data,construct with a number.</en>
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public class NumberGroupChartData extends AbstractGroupChartData implements Cloneable, Serializable {
  /**
   * <zh>л汾ID.</zh>
   * <en>For serialization.</en>
   */
  private static final long serialVersionUID = 2991767474936068783L ;

  /**
   * <zh>.</zh>
   * <en>The constructor.</en>
   *
   * @param group Object <zh> (Ϊnull).</zh>
   * <en>The group of this chart data (null permitted).</en>
   */
  public NumberGroupChartData(Object group) {
    this(group, null) ;
  }

  /**
   * <zh>.</zh>
   * <en>The constructor.</en>
   *
   * @param group Object <zh> (Ϊnull).</zh>
   * <en>The group of this chart data (null permitted).</en>
   * @param datas List <zh>ݼ (Ϊnull).</zh>
   * <en>The collection of datas (null permitted).</en>
   */
  public NumberGroupChartData(Object group, List datas) {
    super(group, datas, Number.class) ;
  }

}
