package com.ijchart.xychart.exception ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>岻Ϸͼ쳣.</zh>
 * <en>Thrown to indicate that the data is invalid in a dataset.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public class InvalidChartDataException extends RuntimeException {
  /**
   * <zh>ûвĹ.</zh>
   * <en>Constructs an InvalidChartDataException with no detail message. </en>
   */
  public InvalidChartDataException() {
    super() ;
  }

  /**
   * <zh>ϸϢInvalidChartDataException.</zh>
   * <en>Constructs an InvalidChartDataException with the
   * specified detail message.</en>
   *
   * @param s <zh>쳣ϸϢ.</zh>
   * <en>The detail message.</en>
   */
  public InvalidChartDataException(String s) {
    super(s) ;
  }

}
