package com.ijchart.xychart.listener ;

import java.util.EventListener ;

import com.ijchart.xychart.event.ChartShapeChangeEvent ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ӿڱҪյͼеͼζ仯ʵ.</zh>
 * <en>The interface that must be supported by classes that wish to receive notification of changes
 * to a {@link com.ijchart.xychart.shape.IChartShape}</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IChartShapeChangeListener extends EventListener {
  /**
   * <zh>յͼζ仯֪ͨ.</zh>
   * <en>Receives notification of an {@link com.ijchart.xychart.shape.IChartShape} change event.</en>
   *
   * @param event ChartShapeChangeEvent <zh>ͼζ仯Ķ</zh>
   * <en>Information about the event.</en>
   */
  void chartShapeChanged(ChartShapeChangeEvent event) ;

}
